Bug 27798 - Independent branches should have a warning
Summary: Independent branches should have a warning
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Kyle M Hall
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-25 18:18 UTC by Nick Clemens
Modified: 2021-03-25 20:38 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.04,20.05.10,19.11.17


Attachments
Bug 27798 - Add warning to IndependentBranches system preference (1.42 KB, patch)
2021-02-25 18:35 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 27798 - Add warning to IndependentBranches system preference (1.45 KB, patch)
2021-02-25 20:43 UTC, David Nind
Details | Diff | Splinter Review
Bug 27798 - Add warning to IndependentBranches system preference (1.55 KB, patch)
2021-02-26 08:35 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 27798: Add warning to IndependentBranches system preference (1.61 KB, patch)
2021-03-01 10:26 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2021-02-25 18:18:59 UTC
The description on the bug is very concise, however, the effects are a bit broader and don't always behave as expected - we should add a warning about changing this on a production system
Comment 1 Kyle M Hall 2021-02-25 18:35:07 UTC
Created attachment 117359 [details] [review]
Bug 27798 - Add warning to IndependentBranches system preference

Test Plan:
1) Apply this patch
2) Search system preferences for IndependentBranches
3) Note the warning about changing the setting on a production system
Comment 2 Kelly McElligott 2021-02-25 18:55:04 UTC
I agree with adding a strong warning to this system preference!
Comment 3 David Nind 2021-02-25 20:43:37 UTC
Created attachment 117360 [details] [review]
Bug 27798 - Add warning to IndependentBranches system preference

Test Plan:
1) Apply this patch
2) Search system preferences for IndependentBranches
3) Note the warning about changing the setting on a production system

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 Marcel de Rooy 2021-02-26 08:35:51 UTC
Created attachment 117363 [details] [review]
Bug 27798 - Add warning to IndependentBranches system preference

Test Plan:
1) Apply this patch
2) Search system preferences for IndependentBranches
3) Note the warning about changing the setting on a production system

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Jonathan Druart 2021-03-01 10:26:22 UTC
Created attachment 117433 [details] [review]
Bug 27798: Add warning to IndependentBranches system preference

Test Plan:
1) Apply this patch
2) Search system preferences for IndependentBranches
3) Note the warning about changing the setting on a production system

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

JD Amended patch:
* Fix commit title
* Don't split the syspref's description, otherwise the sentence will be
split in the POs
Comment 6 Jonathan Druart 2021-03-01 10:29:17 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 7 Fridolin Somers 2021-03-04 09:32:37 UTC
Pushed to 20.11.x for 20.11.04
Comment 8 Andrew Fuerste-Henry 2021-03-05 21:01:17 UTC
Pushed to 20.05.x for 20.05.10
Comment 9 Victor Grousset/tuxayo 2021-03-22 16:04:32 UTC
Backported: Pushed to 19.11.x branch for 19.11.16
Comment 10 Victor Grousset/tuxayo 2021-03-23 06:44:10 UTC
Nope, reverted from 19.11.x . It's string freeze so this one will have to wait next release.
Comment 11 Victor Grousset/tuxayo 2021-03-25 20:37:53 UTC
This time it's the one.

Backported: Pushed to 19.11.x branch for 19.11.17